=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-12-24 22:03:00 +0000
+++ bzrlib/builtins.py	2006-01-03 09:23:51 +0000
@@ -415,12 +415,12 @@
         br_from = Branch.open(location)
         br_to = tree_to.branch
 
-	if revision is None:
-	    rev_id = None
+        if revision is None:
+            rev_id = None
         elif len(revision) == 1:
-	    rev_id = revision[0]._match_on(br_from,br_from.revision_history()).rev_id
-	else:
-	    raise BzrCommandError('bzr pull --revision takes one value.')
+            rev_id = revision[0]._match_on(br_from,br_from.revision_history()).rev_id
+        else:
+            raise BzrCommandError('bzr pull --revision takes one value.')
 
         old_rh = br_to.revision_history()
         count = tree_to.pull(br_from, overwrite, rev_id)

=== modified file 'bzrlib/tests/blackbox/test_pull.py'
--- bzrlib/tests/blackbox/test_pull.py	2005-12-23 23:55:48 +0000
+++ bzrlib/tests/blackbox/test_pull.py	2006-01-03 09:23:51 +0000
@@ -110,10 +110,10 @@
         self.runbzr('pull -r 2')
         a = Branch.open('../a')
         b = Branch.open('.')
-	self.assertEquals(a.revno(),4)
-	self.assertEquals(b.revno(),2)
+        self.assertEquals(a.revno(),4)
+        self.assertEquals(b.revno(),2)
         self.runbzr('pull -r 3')
-	self.assertEquals(b.revno(),3)
+        self.assertEquals(b.revno(),3)
         self.runbzr('pull -r 4')
         self.assertEquals(a.revision_history(), b.revision_history())
 

